## org.apache.lucene.store
Class SimpleFSDirectory

    java.lang.Object
      org.apache.lucene.store.Directory
          org.apache.lucene.store.FSDirectory
              org.apache.lucene.store.SimpleFSDirectory

    public class SimpleFSDirectory

extends FSDirectory

A straightforward implementation of `FSDirectory` using java.io.RandomAccessFile. However, this class has poor concurrent performance (multiple threads will bottleneck) as it synchronizes when multiple threads read from the same file. It's usually better to use `NIOFSDirectory` or `MMapDirectory` instead.

Nested Class Summary
`protected static class` `SimpleFSDirectory.SimpleFSIndexInput`
`protected static class` `SimpleFSDirectory.SimpleFSIndexOutput`

Nested classes/interfaces inherited from class org.apache.lucene.store.FSDirectory
`FSDirectory.FSIndexInput, FSDirectory.FSIndexOutput`

Field Summary

Fields inherited from class org.apache.lucene.store.FSDirectory
`DEFAULT_READ_CHUNK_SIZE, directory, LOCK_DIR`

Fields inherited from class org.apache.lucene.store.Directory
`isOpen, lockFactory`

Constructor Summary
`SimpleFSDirectory(java.io.File path)` Create a new SimpleFSDirectory for the named location and `NativeFSLockFactory`.
`SimpleFSDirectory(java.io.File path, LockFactory lockFactory)` Create a new SimpleFSDirectory for the named location.

Method Summary
`IndexOutput` `createOutput(java.lang.String name)` Creates an IndexOutput for the file with the given name.
`IndexInput` `openInput(java.lang.String name, int bufferSize)` Creates an IndexInput for the file with the given name.

Methods inherited from class org.apache.lucene.store.FSDirectory
`close, deleteFile, fileExists, fileLength, fileModified, fileModified, getDirectory, getDirectory, getDirectory, getDirectory, getDirectory, getDirectory, getDisableLocks, getFile, getLockID, getReadChunkSize, initOutput, list, listAll, listAll, open, open, openInput, renameFile, setDisableLocks, setReadChunkSize, sync, toString, touchFile`

Methods inherited from class org.apache.lucene.store.Directory
`clearLock, copy, ensureOpen, getLockFactory, makeLock, setLockFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleFSDirectory

    public SimpleFSDirectory(java.io.File path,
                             LockFactory lockFactory)
                      throws java.io.IOException

  Create a new SimpleFSDirectory for the named location.

  Parameters:
    `path` - the path of the directory
    `lockFactory` - the lock factory to use, or null for the default (`NativeFSLockFactory`);
  Throws:
    `java.io.IOException`

### SimpleFSDirectory

    public SimpleFSDirectory(java.io.File path)
                      throws java.io.IOException

  Create a new SimpleFSDirectory for the named location and `NativeFSLockFactory`.

  Parameters:
    `path` - the path of the directory
  Throws:
    `java.io.IOException`

Method Detail

### createOutput

    public IndexOutput createOutput(java.lang.String name)
                             throws java.io.IOException

  Creates an IndexOutput for the file with the given name.

  Overrides:
    `createOutput` in class `FSDirectory`
  Throws:
    `java.io.IOException`

### openInput

    public IndexInput openInput(java.lang.String name,
                                int bufferSize)
                         throws java.io.IOException

  Creates an IndexInput for the file with the given name.

  Overrides:
    `openInput` in class `FSDirectory`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.